org.jboss.jca.as.converters.wls.api.metadata.v13

## Enum WeblogicConnector13.Tag

- java.lang.Object
- - java.lang.Enum<WeblogicConnector13.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.v13.WeblogicConnector13.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WeblogicConnector13.Tag>
  Enclosing interface:
    WeblogicConnector13

      public static enum WeblogicConnector13.Tag
      extends java.lang.Enum<WeblogicConnector13.Tag>

  A Tag.
  Author:
    Jeff Zhang

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN_OBJECTS` admin-objects tag
    `CONNECTOR_WORK_MANAGER` connector-work-manager tag
    `ENABLE_ACCESS_OUTSIDE_APP` enable-access-outside-app tag
    `ENABLE_GLOBAL_ACCESS_TO_CLASSES` enable-global-access-to-classes tag
    `JNDI_NAME` jndi-name tag
    `MODULE_NAME` module-name tag
    `NATIVE_LIBDIR` native-libdir tag
    `OUTBOUND_RESOURCE_ADAPTER` outbound-resource-adapter tag
    `PROPERTIES` properties tag
    `RESOURCE_ADAPTER_SECURITY` security tag
    `UNKNOWN` always first
    `VENDOR_NAME` vendor-name tag
    `WORK_MANAGER` work-manager tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WeblogicConnector13.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static WeblogicConnector13.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WeblogicConnector13.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final WeblogicConnector13.Tag UNKNOWN

      always first

    - #### MODULE_NAME

          public static final WeblogicConnector13.Tag MODULE_NAME

      module-name tag

    - #### VENDOR_NAME

          public static final WeblogicConnector13.Tag VENDOR_NAME

      vendor-name tag

    - #### NATIVE_LIBDIR

          public static final WeblogicConnector13.Tag NATIVE_LIBDIR

      native-libdir tag

    - #### JNDI_NAME

          public static final WeblogicConnector13.Tag JNDI_NAME

      jndi-name tag

    - #### ENABLE_ACCESS_OUTSIDE_APP

          public static final WeblogicConnector13.Tag ENABLE_ACCESS_OUTSIDE_APP

      enable-access-outside-app tag

    - #### ENABLE_GLOBAL_ACCESS_TO_CLASSES

          public static final WeblogicConnector13.Tag ENABLE_GLOBAL_ACCESS_TO_CLASSES

      enable-global-access-to-classes tag

    - #### WORK_MANAGER

          public static final WeblogicConnector13.Tag WORK_MANAGER

      work-manager tag

    - #### CONNECTOR_WORK_MANAGER

          public static final WeblogicConnector13.Tag CONNECTOR_WORK_MANAGER

      connector-work-manager tag

    - #### RESOURCE_ADAPTER_SECURITY

          public static final WeblogicConnector13.Tag RESOURCE_ADAPTER_SECURITY

      security tag

    - #### PROPERTIES

          public static final WeblogicConnector13.Tag PROPERTIES

      properties tag

    - #### ADMIN_OBJECTS

          public static final WeblogicConnector13.Tag ADMIN_OBJECTS

      admin-objects tag

    - #### OUTBOUND_RESOURCE_ADAPTER

          public static final WeblogicConnector13.Tag OUTBOUND_RESOURCE_ADAPTER

      outbound-resource-adapter tag

  - ### Method Detail

    - #### values

          public static WeblogicConnector13.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WeblogicConnector13.Tag c : WeblogicConnector13.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WeblogicConnector13.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<WeblogicConnector13.Tag>`

    - #### forName

          public static WeblogicConnector13.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)